# Class HTML.UnknownTag

java.lang.Object
javax.swing.text.html.HTML.Tag
javax.swing.text.html.HTML.UnknownTag

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `HTML`

public static class HTML.UnknownTag extends HTML.Tag implements Serializable
Class represents unknown HTML tag.

## Field Summary

### Fields declared in class HTML.Tag

`A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, CAPTION, CENTER, CITE, CODE, COMMENT, CONTENT, DD, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, FRAME, FRAMESET, H1, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, IMPLIED, INPUT, ISINDEX, KBD, LI, LINK, MAP, MENU, META, NOFRAMES, OBJECT, OL, OPTION, P, PARAM, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TD, TEXTAREA, TH, TITLE, TR, TT, U, UL, VAR`
Modifier and Type
Field
Description
`static final HTML.Tag`
`A`
Tag <a>
`static final HTML.Tag`
`ADDRESS`
Tag <address>
`static final HTML.Tag`
`APPLET`
Tag <applet>
`static final HTML.Tag`
`AREA`
Tag <area>
`static final HTML.Tag`
`B`
Tag <b>
`static final HTML.Tag`
`BASE`
Tag <base>
`static final HTML.Tag`
`BASEFONT`
Tag <basefont>
`static final HTML.Tag`
`BIG`
Tag <big>
`static final HTML.Tag`
`BLOCKQUOTE`
Tag <blockquote>
`static final HTML.Tag`
`BODY`
Tag <body>
`static final HTML.Tag`
`BR`
Tag <br>
`static final HTML.Tag`
`CAPTION`
Tag <caption>
`static final HTML.Tag`
`CENTER`
Tag <center>
`static final HTML.Tag`
`CITE`
Tag <cite>
`static final HTML.Tag`
`CODE`
Tag <code>
`static final HTML.Tag`
`COMMENT`
All comments are labeled with this tag.
`static final HTML.Tag`
`CONTENT`
All text content is labeled with this tag.
`static final HTML.Tag`
`DD`
Tag <dd>
`static final HTML.Tag`
`DFN`
Tag <dfn>
`static final HTML.Tag`
`DIR`
Tag <dir>
`static final HTML.Tag`
`DIV`
Tag <div>
`static final HTML.Tag`
`DL`
Tag <dl>
`static final HTML.Tag`
`DT`
Tag <dt>
`static final HTML.Tag`
`EM`
Tag <em>
`static final HTML.Tag`
`FONT`
Tag <font>
`static final HTML.Tag`
`FORM`
Tag <form>
`static final HTML.Tag`
`FRAME`
Tag <frame>
`static final HTML.Tag`
`FRAMESET`
Tag <frameset>
`static final HTML.Tag`
`H1`
Tag <h1>
`static final HTML.Tag`
`H2`
Tag <h2>
`static final HTML.Tag`
`H3`
Tag <h3>
`static final HTML.Tag`
`H4`
Tag <h4>
`static final HTML.Tag`
`H5`
Tag <h5>
`static final HTML.Tag`
`H6`
Tag <h6>
`static final HTML.Tag`
`HEAD`
Tag <head>
`static final HTML.Tag`
`HR`
Tag <hr>
`static final HTML.Tag`
`HTML`
Tag <html>
`static final HTML.Tag`
`I`
Tag <i>
`static final HTML.Tag`
`IMG`
Tag <img>
`static final HTML.Tag`
`IMPLIED`
All text content must be in a paragraph element.
`static final HTML.Tag`
`INPUT`
Tag <input>
`static final HTML.Tag`
`ISINDEX`
Tag <isindex>
`static final HTML.Tag`
`KBD`
Tag <kbd>
`static final HTML.Tag`
`LI`
Tag <li>
`static final HTML.Tag`
`LINK`
Tag <link>
`static final HTML.Tag`
`MAP`
Tag <map>
`static final HTML.Tag`
`MENU`
Tag <menu>
`static final HTML.Tag`
`META`
Tag <meta>
`static final HTML.Tag`
`NOFRAMES`
Tag <noframes>
`static final HTML.Tag`
`OBJECT`
Tag <object>
`static final HTML.Tag`
`OL`
Tag <ol>
`static final HTML.Tag`
`OPTION`
Tag <option>
`static final HTML.Tag`
`P`
Tag <p>
`static final HTML.Tag`
`PARAM`
Tag <param>
`static final HTML.Tag`
`PRE`
Tag <pre>
`static final HTML.Tag`
`S`
Tag <s>
`static final HTML.Tag`
`SAMP`
Tag <samp>
`static final HTML.Tag`
`SCRIPT`
Tag <script>
`static final HTML.Tag`
`SELECT`
Tag <select>
`static final HTML.Tag`
`SMALL`
Tag <small>
`static final HTML.Tag`
`SPAN`
Tag <span>
`static final HTML.Tag`
`STRIKE`
Tag <strike>
`static final HTML.Tag`
`STRONG`
Tag <strong>
`static final HTML.Tag`
`STYLE`
Tag <style>
`static final HTML.Tag`
`SUB`
Tag <sub>
`static final HTML.Tag`
`SUP`
Tag <sup>
`static final HTML.Tag`
`TABLE`
Tag <table>
`static final HTML.Tag`
`TD`
Tag <td>
`static final HTML.Tag`
`TEXTAREA`
Tag <textarea>
`static final HTML.Tag`
`TH`
Tag <th>
`static final HTML.Tag`
`TITLE`
Tag <title>
`static final HTML.Tag`
`TR`
Tag <tr>
`static final HTML.Tag`
`TT`
Tag <tt>
`static final HTML.Tag`
`U`
Tag <u>
`static final HTML.Tag`
`UL`
Tag <ul>
`static final HTML.Tag`
`VAR`
Tag <var>

## Constructor Summary

Constructors
Constructor
Description
`UnknownTag(String id)`
Creates a new `UnknownTag` with the specified `id`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares this object to the specified object.
`int`
`hashCode()`
Returns the hash code which corresponds to the string for this tag.

### Methods declared in class HTML.Tag

`breaksFlow, isBlock, isPreformatted, toString`
Modifier and Type
Method
Description
`boolean`
`breaksFlow()`
Returns `true` if this tag causes a line break to the flow of data, otherwise returns `false`.
`boolean`
`isBlock()`
Returns `true` if this tag is a block tag, which is a tag used to add structure to a document.
`boolean`
`isPreformatted()`
Returns `true` if this tag is pre-formatted, which is true if the tag is either `PRE` or `TEXTAREA`.
`String`
`toString()`
Returns the string representation of the tag.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### UnknownTag

public UnknownTag(String id)
Creates a new `UnknownTag` with the specified `id`.

Parameters:
  `id` - the id of the new tag

## Method Details

### hashCode

public int hashCode()
Returns the hash code which corresponds to the string for this tag.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`

### equals

public boolean equals(Object obj)
Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `UnknownTag` object with the same name.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to compare this tag with
Returns:
  `true` if the objects are equal; `false` otherwise
See Also:
  - `Object.hashCode()`
  - `HashMap`